<?php
require '../conexao/conexao.php';
session_start();
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Coletar os dados do POST com os novos nomes dos campos
    $cidade = $_POST['cidade'] ?? ''; // Adicionando um valor padrão vazio
    $ano = $_POST['ano'] ?? '';
    $mes = $_POST['mes'] ?? '';
    $cod_filial = $_POST['cod_filial'] ?? '';
    $id_metas_vendedor = $_POST['id_metas_vendedor'] ?? '';

    // Construir a string de consulta
    $query_string = http_build_query([
        'cidade' => $cidade,
        'ano' => $ano,
        'mes' => $mes,
        'filial' => $cod_filial,
        'form_submitted' => 1 // Supondo que você ainda precise disso
    ]);
    // Verificar se há metas a serem excluídas


    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {
        if (empty($id_metas_vendedor)) {
            // Se não há metas para excluir, redireciona para a página com os parâmetros
            $location = 'metas_vendedor.php?status=erro&message=' . urlencode("Não há metas definidas para o Vendedor") . '&' . $query_string;
            header("Location: $location");
            exit();
        }
        if (!empty($id_metas_vendedor)) {
            $ids_array = explode(',', $id_metas_vendedor);

            $connectionmysql->begin_transaction();

            try {
                foreach ($ids_array as $id) {
                    $stmt = $connectionmysql->prepare("DELETE FROM metas_vendedor WHERE id_metas_vendedor = ?");
                    if ($stmt === false) {
                        throw new Exception('Prepare statement failed: ' . $connectionmysql->error);
                    }

                    $stmt->bind_param("i", $id);
                    $stmt->execute();
                    $stmt->close();
                }
                $connectionmysql->commit();
            } catch (Exception $e) {
                $connectionmysql->rollback();
                // Adicione um log ou mensagem de erro
                error_log($e->getMessage());
            }
        }
        $location = './metas_vendedor.php?status=sucesso&' . $query_string;
        header("Location: $location");
        exit();
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {
        // Se o usuário escolheu não excluir, redireciona para a página com os parâmetros
        $location = 'metas_vendedor.php?' . $query_string;
        header("Location: $location");
        exit();
    } else {
        // Caso nenhum dos parâmetros de confirmação seja encontrado, redireciona para a página com os parâmetros
        $location = 'metas_vendedor.php?' . $query_string;
        header("Location: $location");
        exit();
    }
} else {
    // Se não é uma requisição POST, redireciona para a página com os filtros
    $filtros = isset($_SESSION['filtros']) ? http_build_query($_SESSION['filtros']) : '';

    $location = 'metas_vendedor.php';
    if (!empty($filtros)) {
        $location .= '?' . $filtros;
    }

    header("Location: $location");
    exit();
}
